#ifndef DOCWIN_H
#define DOCWIN_H

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#include "docview.h"

@interface DocWin : NSWindow
{
	DocView *docView;
	NSString *name;
	BOOL saved;
}

- (id)init;

- (void)windowExpose:(NSNotification *)aNotification;

- (NSString *)name;

- (DocView *)docView;

- (void)setName:(NSString *)n;

- (void)setSaved:(BOOL)value;

- (BOOL)isSaved;

@end

#endif // DOCWIN_H
